Loading...
Searching...
No Matches
DBusGreeter Class Reference

`#include <plugins/LightDM/DBusGreeter.h>`

## Signals

void | isActiveChanged ()

## Public Member Functions

| DBusGreeter (Greeter *greeter, const QString &path)
bool | isActive () const
Q_SCRIPTABLE void | ShowGreeter ()
Q_SCRIPTABLE void | HideGreeter ()

## Properties

bool | IsActive

## Detailed Description

This is an internal class used to talk with the indicators.

Definition at line 28 of file DBusGreeter.h.

## Constructor & Destructor Documentation

## DBusGreeter()

DBusGreeter::DBusGreeter | ( | Greeter * | greeter,
|  | const QString & | path )

explicit

Definition at line 23 of file DBusGreeter.cpp.

: LomiriDBusObject(path, QStringLiteral("com.lomiri.LomiriGreeter"), true, greeter),
m_greeter(greeter)
{
connect(m_greeter, &Greeter::isActiveChanged,
this, &DBusGreeter::isActiveChangedHandler);
}

## Member Function Documentation

## HideGreeter()

void DBusGreeter::HideGreeter | ( |  | ) |

Definition at line 41 of file DBusGreeter.cpp.

{
Q_EMIT m_greeter->hideGreeter();
}

## isActive()

bool DBusGreeter::isActive | ( |  | ) | const

Definition at line 31 of file DBusGreeter.cpp.

{
return m_greeter->isActive();
}

## ShowGreeter()

void DBusGreeter::ShowGreeter | ( |  | ) |

Definition at line 36 of file DBusGreeter.cpp.

{
Q_EMIT m_greeter->showGreeter();
}

## Property Documentation

## IsActive

bool DBusGreeter::IsActive

read

Definition at line 33 of file DBusGreeter.h.

The documentation for this class was generated from the following files:

- plugins/LightDM/DBusGreeter.h
- plugins/LightDM/DBusGreeter.cpp